Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP PUT

PUT ivr/:branch/deactivate

Ostatnia modyfikacja 2026-05-18 13:56:05
Deaktywuje gałąź IVR.

URL

https://your-system-name.thulium.com/api/ivr/:branch/deactivate

Parametry

branch

wymagany

Identyfikator gałęzi. Przykładowa wartość: 1-2

Przykładowy request

PUT https://your-system-name.thulium.com/api/ivr/1-2/deactivate

Przykładowy response

<!-- pusty -->

Przykładowe wywołanie


PHP
<?php
$data = '';

$request = curl_init('https://your-system-name.thulium.com/api/ivr/1-2/deactivate');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'PUT');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.put("https://your-system-name.thulium.com/api/ivr/1-2/deactivate", "");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X PUT -H "Content-type: application/json" -d '' "https://your-system-name.thulium.com/api/ivr/1-2/deactivate"

HTTPie
http -a api_user:api_pass PUT https://your-system-name.thulium.com/api/ivr/1-2/deactivate